Skip to main content
GET
GET
This endpoint returns a specific name that belongs to a list. Note: For a name that is recorded by a user, is_custom flag will be set to true. The response object for a custom name has slightly different attributes compared to a name from the NameShouts database. NameShouts Default These are the relevant attributes from the response object when the name is not custom. NameShouts User Recorded Name For the user recorded name, “user_email”, “is_custom” and “is_verified” is similar. The name information for the full name is combined as shown in the example below. To get the verification name for a particular user, you would need the list_id and the verification_id from the response object. Once the user is logged into to NameShouts, if they click on the following link, they will be able to access the verification screen on the application. https://app2.nameshouts.com/verify-list-name?id={verified_name_id}&list_id={user_list_id}

Authorization

Params

string
An optional parameter to narrow down the search by providing the email of the user associated with the name. Using this parameter can provide more accurate results.Example: jane.doe@example.com
string
Example: 49909
string
Example: Jane-A-Doe

Examples

Get Name information from List - Default

Example Request
curl
Example Response · 200 OK
Body
Headers (6)

Get Name from a User List-Custom Name

Example Request
curl
Example Response · 200 OK
Body
Headers (9)